package cc.lukatown.icefox.plugincore.Functions;

import java.util.Random;

/**
 * *******************************************
 * Created by Icefox on 14-8-14.
 * Just for LukaTownMinecraftServer
 * Web: LukaTown.cc  E-Mail: icefox@LukaTown.cc
 * ********************************************
 */
public class PluginCoreFunction_Num {
    public static boolean API_CreatRandomNum_Probabilty(int maxnum, int probability) {
        /**
         生成一个几率随机数,只返回真或假

         使用时传递最大数<maxnum>, 取值范围为1 - <maxnum>
         然后传递几率<probability>

         如果需要3%的几率  则<maxnum>为100  <probability>为3
         如果需要10‰的几率  则<maxnum>为1000  <probability>为10
         如果需要万分之一的几率  则<maxnum>为10000  <probability>为1

         如果生成的随机数满足几率<probability>条件,返回真
         否则返回假

         通常多用于抽奖
         */

        Random random = new Random();

        if (random.nextInt(maxnum + 1) >= probability) {
            return true;
        } else {
            return false;
        }
    }


    public static int API_CreatRandomNum_Int(int maxnum) {
        /**
         生成一个纯随机数,返回生成的数

         使用时传递最大数<maxnum>, 取值范围为1 - <maxnum>

         如果需要生成 1 - 10000  则<maxnum>为10000

         然后会返回生成的随机数

         通常我不常用(by icefox)
         */
        Random random = new Random();

        return random.nextInt(maxnum + 1);
    }
}
